#!/bin/bash
# mac2unix.bash - WindowsunixѴ

# read function - ؿɤ߹
. function/f_askfname
. function/f_askstring

# input target file name - оݥե̾
ask_filename "Target File(Blank is Cancel. ) : " 1
if [ $? -ne 0 ] ; then	# Ϥʤ
	echo "*** Canceled."
	return 1
fi
FILE1=${_STR}
echo "Target File is \"${FILE1}\""

# input save file name - ¸ե̾
ask_string "Save File[${FILE1}.unix] : " 1
if [ $? -ne 0 ] ; then	# Ϥʤ(ǥեȥե̾)
	FILE2="${FILE1}.unix"
else
	FILE2=${_STR}
fi
echo "Save File is \"${FILE2}\""

# execute - ¹
tr '\r' '\n' < ${FILE1} |
#sed 's/\r/\n/g' < ${FILE1} |
iconv -f SHIFT_JIS -t EUC-JP > ${FILE2}	# Shift-JIS -> EUC-JP
#iconv -f SHIFT_JIS -t UTF-8 > ${FILE2}	# Shift-JIS -> UTF-8

if [ $? -eq 0 ]; then
	echo "*** Successful."
fi

unset FILE1 FILE2 _STR
