#!/bin/bash
# unix2mac.bash - WindowsMacѴ

# read function - ؿɤ߹
. function/f_askfname
. function/f_askstring

# input target file name - оݥե̾
ask_filename "Target File( Blank is Cancel. ) : " 1
if [ $? -ne 0 ] ; then	# Ϥʤ
	echo "*** Canceled."
	return 1
fi
FILE1=${_STR}
echo "Target File is \"${FILE1}\""

# input save file name - ¸ե̾
ask_string "Save File[${FILE1}.mac] : " 1
if [ $? -ne 0 ] ; then	# Ϥʤ(ǥեȥե̾)
	FILE2="${FILE1}.mac"
else
	FILE2=${_STR}
fi
echo "Save File is \"${FILE2}\""

# execute - ¹
tr '\n' '\r' < ${FILE1} |
#sed 's/\n/\r/g < ${FILE1} |
iconv -f EUC-JP -t SHIFT_JIS > ${FILE2}	#EUC->Shift JIS
# iconv -f EUC-JP -t UTF-8 > ${FILE2}	#EUC->UTF-8
# iconv -f UTF-8 -t SHIFT_JIS > ${FILE2}	#UTF-8->Shift JIS

if [ $? -eq 0 ]; then
	echo "*** Successful."
	fi

unset FILE1 FILE2 _STR
