#!/bin/bash
# mk_arch.bash - ֤̤

# read function - ؿɤ߹
. function/f_askdir
. function/f_askstring

# input target directory - оݥǥ쥯ȥ̾μ
ask_directory 1		#֥󥯤ϥ󥻥
if [ $? -eq 1 ] ; then
	return 1	#ץȽλ
fi
echo "Target directory is \"${_DIRNAME}\""

# input file name- ֥ե̾μ
ask_string "Input archive file name : " 0
ARCHNAME=$_STR
echo "Archive File Name is \"${ARCHNAME}\""

# check archive - ֥եå
if [ "$ARCHNAME" != "${ARCHNAME%.tgz}" ] ; then
	ARCHKIND=1	#gz
	ARCHNAME="${ARCHNAME%.tgz}"	#ٳĥҤ
elif  [ "$ARCHNAME" != "${ARCHNAME%.tar.bz2}" ] ; then
	ARCHKIND=2	#bzip2
	ARCHNAME="${ARCHNAME%.tbz2}"	#ٳĥҤ
else
	# add extension - ֤γĥ
	echo " 1) gzip(.tgz)"
	echo " 2) bzip2(.tar.bz2)"
	echo -n " Select Number :  "

	while read ANSWER ; do
		case "${ANSWER}" in
		1) ARCHKIND=1 ; break ;;	#gz
		2) ARCHKIND=2 ; break ;;	#bzip2
		*) echo "*** Menu not found." ;;	#¾
		esac
		echo -n " Select Number :  "
	done
fi

case $ARCHKIND in
1) tar -cvzf ${ARCHNAME}.tgz ${_DIRNAME} ;;	#gzip
2) tar -cvjf ${ARCHNAME}.tar.bz2 ${_DIRNAME} ;;	#bzip2
esac

echo "*** Successful."

unset _DIRNAME ARCHNAME ANSWER ARCHKIND _STR
