#!/bin/bash
# pickup_files2.bash - ֤ΥեФ

# read function - ؿɤ߹
. function/f_askstring
. function/f_chknum

LISTFILE="archlist.tmp"

while : ; do	#̵¥롼

	# input archive file name - ֥ե̾μ
	ask_string "Archive File Name(.tgz or .tar.bz2) : " 0

	if [ ! -f "$_STR" ] ; then	#ե뤬¸ߤʤ
		echo "\"${_STR}\" not found."
		continue
	fi

	# archive type check - ֥ե̥å
	if [ "$_STR" != "${_STR%.tgz}" ] ; then	#gzip
		ARCHKIND=1
		tar -tzf ${_STR} > $LISTFILE
		break
	elif  [ "$_STR" != "${_STR%.tar.bz2}" ] ; then	#bzip2
		ARCHKIND=2
		tar -tjf ${_STR} > $LISTFILE
		break
	fi
done
ARCHNAME=$_STR
echo "Archive File Name is \"${ARCHNAME}\""

# listing file name - ե̾ɽ
NUM=1
while read FN ; do
	FNLIST[$NUM]=$FN
	echo "$NUM) $FN"
	NUM=$(expr $NUM + 1)
done < $LISTFILE

echo "$NUM) Quit."
echo -n " Select Number : "

while read ANSWER ; do
	check_num "$ANSWER"	#ͥå
	if [ $? -eq 0 ] ; then	#
		if  [ "$ANSWER" = $NUM ] ; then
			 break
		elif [ "$ANSWER" -ge 1 -a "$ANSWER" -lt $NUM ] ; then
			# expansion file name - ե̾Ÿ
			case $ARCHKIND in
			1) tar -xvkzf ${ARCHNAME} ${FNLIST[$ANSWER]} ;;	#gzip
			2) tar -xvkjf ${ARCHNAME} ${FNLIST[$ANSWER]} ;;	#bzip2
			esac
			#echo "Pickup \"${FNAME}\""
		fi
	fi
	echo -n " Select Number : "
done

echo "*** \(^O^)/ ***" 

rm $LISTFILE
unset ARCHNAME ARCHKIND FN NUM FNLIST ANSWER _STR
