#!/bin/bash
# batch_adduser.bash - 桼礷Ͽ

# read function - ؿɤ߹
. function/f_askfname
. function/f_mkpasswd

# input data file - ǡե̾
BATCHFNAME=adduser.txt
ask_filename "Input Batch Adduser File Name [${BATCHFNAME}] : " 0 ${BATCHFNAME}	# ǥեȻ
BATCHFNAME=${_STR}

PASSWDLEN=8	# ѥɤĹ
ERRMSG=errmes.tmp
RESULTF=result.txt
rm -f ${RESULTF} 2> /dev/null	# ̥ե

# read data file - ǡեɤ߹
CNT=0
while read BUF ; do
	# Ͽǡ
	USERNM=$(echo ${BUF} | cut -d',' -f 1)
	FULLNM=$(echo "${BUF}" | cut -d',' -f 2)
	GR1=$(echo "${BUF}" | cut -d',' -f 3)
	GR2=$(echo "${BUF}" | cut -d',' -f 4)
	GR3=$(echo "${BUF}" | cut -d',' -f 5)
	# make password - ѥ
	make_passwd ${PASSWDLEN}

	# regist user - 桼Ͽ
	if [ ${GR3} ] ; then
		useradd -g ${GR1} -G ${GR2},${GR3} -m  ${USERNM} 2> ${ERRMSG}
	elif [ ${GR2} ] ; then
		useradd -g ${GR1} -G ${GR2} -m  ${USERNM} 2> ${ERRMSG}
	else
		useradd -g ${GR1} -m  ${USERNM} 2> ${ERRMSG}
	fi

	if [ $? -eq 0 ] ; then
		# change password - ѥɤϿ
		echo ${_MKPASSWD} | passwd --stdin ${USERNM} 2> ${ERRMSG}
		if [ $? -eq 0 ] ; then
			echo "${BUF},${_MKPASSWD}" >> ${RESULTF}
		else
			echo "${BUF},$(cat ${ERRMSG})" >> ${RESULTF}
		fi
		CNT=$(expr ${CNT} + 1)
	else
		echo "${BUF},$(cat ${ERRMSG} | sed 's/^.*: //')" >> ${RESULTF}
	fi

done < ${BATCHFNAME}
echo "${CNT} user(s) Registrated."

unset BATCHFNAME PASSWDLEN ERRMSG RESULTF USERNM FULLNM GR1 GR2 GR3 _MKPASSWD CNT _STR
