#!/bin/bash
# memo_rm.bash - 

# read function - ؿɤ߹
. function/f_askstring
. function/f_chknum
. function/f_chkdate
. function/f_search_memo
. function/f_readline
. function/f_dispmemo
. function/f_yesno

MEMOFILE=memo.txt	# ե
MEMOTEMP=memo.tmp	# ȥե

# input search key - ɤ
while : ; do

	# ˡ
	echo
	echo "*** select search menu ***"
	echo "1)  Date"
	echo "2)  Title"
	echo "3)  Keyword"
	echo "4)  Quit."
	echo
	echo -n "Select number : "

	read SELNUM
	check_num $SELNUM
	if [ $? -eq 0 ] ; then
		if [ $SELNUM -ge 1 -a $SELNUM -le 4 ] ; then
			break
		fi
	fi
done

if [ $SELNUM -eq 4 ] ; then	# λ
	unset SELNUM
	echo "*** END."
	return 0
fi

# ɤϤȳǡ
case $SELNUM in
	1) search_date ; ;;
	2) search_title ; ;;
	3) search_keyword ; ;;
esac

# check volume - Хǡå
MAXCNT=$(cat ${MEMOTEMP} | wc -l)	# եԿ
if [ $MAXCNT -eq 0 ] ; then	# ǡʤ
	echo "***No Data."
	return 1
elif [ $MAXCNT -eq 1 ] ; then	# ǡ1
	read_line ${MEMOTEMP} 1

else
	# display data - Хǡɽ
	echo "   No.	date		title"
	echo "----------------------------------------"
	cat -n ${MEMOTEMP} | cut -f 1,2,4

	while : ; do
		echo ""
		echo -n "Select Number : "
		read SELNUM
		check_num $SELNUM
		if [ $? -eq 0 ] ; then
			if [ $SELNUM -ge 1 -a $SELNUM -le $MAXCNT ] ; then
				break
			fi
		fi
	done
	read_line ${MEMOTEMP} ${SELNUM}
fi

# ǡɽ
MEMODATA=$_BUF
disp_memo $MEMODATA
yes_no "Remove memo?"
if [ $? -eq 0 ] ; then	# YES
	grep -v "$MEMODATA" ${MEMOFILE} > ${MEMOTEMP}	# ǡ
	cat ${MEMOTEMP} > ${MEMOFILE}
	echo "Delete Memo Data."
fi

unset SELNUM MEMOFILE MEMOTEMP _STR KEYWORD MEMODATA _BUF
