#!/bin/bash
# rm2mv.bash - rmޥɤִȢѤ

# ʤ
if [ $# -eq 0 ] ; then
	echo "usage: rm [-f | -i ] [-v] source target"
	echo "       rm [-f | -i ] [-v] source ... directory"
	return 1
fi

TRASHDIR=~/.trash_folder

FFLAG=FALSE
IFLAG=FALSE
OPT=
OPTIND=

while getopts fidrRv OPT ; do
	case $OPT in
		f)	FFLAG="TRUE";	;;
		i)	IFLAG="TRUE";	;;
		d|r|R|v)	;;
		\?)	echo "usage: rm [-f | -i] [-dPRrvW] file ..."
		 	return 1	;;
	esac
done
shift $(expr $OPTIND - 1) 

while [ $1 ] ; do
	if [ $FFLAG = "TRUE" ] ; then
		mv -f $1 ${TRASHDIR}/"$1 $(date '+%y%m%d%H%M')"
	elif [ $IFLAG = "TRUE" ] ; then
		mv -i $1 ${TRASHDIR}/"$1 $(date '+%y%m%d%H%M')"
	else
		mv $1 ${TRASHDIR}/"$1 $(date '+%y%m%d%H%M')"
	fi
	if [ $? -ne 0 ] ; then
		break
	fi
	echo "$1 into the Trash."
	shift	# ֥ѥ᡼1ĥե
done

unset FFLAG IFALG
