#!/bin/bash
# file_info.bash - եξɽ

# read function - ؿɤ߹
. function/f_askfname

# input target file name- оݥե̾μ
ask_filename "Input Filename : " 1
if [ $? -eq 1 ] ; then		# ֥󥯤ϥ󥻥
	return 1
fi
FNAME=$_STR

# get file information - եμФ
LS_STR=$(ls -ld ${FNAME} | sed 's/  */ /g')	# ʣζ1Ĥ

echo "--------------------------------------------"
echo "File Name  : ${FNAME}"
echo "Owner      : $(echo ${LS_STR} | cut -d' ' -f3)"	# ͭ
echo "Group      : $(echo ${LS_STR} | cut -d' ' -f4)"	# ͭ롼
echo "Time       : $(echo ${LS_STR} | cut -d' ' -f8)"		# 
echo "--------------------------------------------"

echo "File Type  :$(file $FNAME | cut -d':' -f 2)"	# ե

WC_STS=$(wc -c ${FNAME} 2> /dev/null)	# Хȿ(顼̵)
BYTE=$(echo ${WC_STS} | sed -e 's/  */ /g' | cut -d' ' -f1)	#ե륵
if [ $BYTE -ge 1024 ] ; then	# 1KBʾ
	echo "File Size  : $(echo "scale=1; $BYTE / 1024" | bc) KB"	# ʲ1̤ޤɽ
else
	echo "File Size  : $BYTE Bytes"
fi

# check extension - ĥҤΥå
EXT=${FNAME#*.}	# ե̾ĥҤФ

TEXT_EXT=text_ext	# ƥȥեĥҰե
CHKEXT=$(grep -i ${EXT} ${TEXT_EXT})
if [ "$CHKEXT" == "${EXT}" ] ; then	# ƥȥեĥҤ˰פ
	WC_STS=$(wc -l ${FNAME} 2> /dev/null)	# Կ(顼̵)
	echo "Lines      : $(echo ${WC_STS} | sed -e 's/  */ /g' | cut -d' ' -f1)"
	WC_STS=$(wc -w ${FNAME} 2> /dev/null)	# ʸ(顼̵)
	echo "Words      : $(echo ${WC_STS} | sed -e 's/  */ /g' | cut -d' ' -f1)"
	echo "Characters : $BYTE"
	echo "--------------------------------------------"
fi

unset FNAME LS_STR BYTE EXT IMAGE_EXT TEXT_EXT CHKEXT WC_STS
