#!/bin/bash
# pickup_files.bash - ֤ΥեФ

# read function - ؿɤ߹
. function/f_askstring

while : ; do	#̵¥롼

	# input archive file name - ֥ե̾
	ask_string "Input archive file name(.tgz or .bz2):  " 0

	if [ ! -f "$_STR" ] ; then	#ե뤬¸ߤʤ
		echo "Archive \"${_STR}\" not found."
		continue
	fi

	# archive file check - ̥å
	if [ "$_STR" != "${_STR%.tgz}" ] ; then	#gzip
		ARCHKIND=1
		break
	elif  [ "$_STR" != "${_STR%.tar.bz2}" ] ; then	#bzip2
		ARCHKIND=2
		break
	fi
done
ARCHNAME=$_STR
echo "Archive File Name is \"${ARCHNAME}\""

# execute - ¹
while : ; do	#̵¥롼

	#input file name - ե̾
	ask_string "Input pickup file name(Blank is END) : " 1
	if [ $? -eq 1 ] ; then	#Ϥʤ
		break
	fi
	FNAME=$_STR

	case $ARCHKIND in
	1) tar -xvkzf ${ARCHNAME} ${FNAME} ;;	#gzip
	2) tar -xvkjf ${ARCHNAME} ${FNAME} ;;	#bzip2
	esac
#	echo "Pickuped \"${FNAME}\""
done

unset ARCHNAME ARCHKIND FNAME _STR
