#!/bin/bash
# mk_project2.bash - ץȥΰ (Mac OS X)

# read function - ؿɤ߹
. function/f_askstring
. function/f_askfname
. function/f_yesno

RESULTF=mk_project.txt
rm -f ${RESULTF} 2> /dev/null
ERRF=errfile

# input project name - ץ̾
while : ; do
	ask_string "Input Project Name( Blank is Cancel. ) : " 1
	if [ $? -eq 1 ] ; then 	# Ϥʤ
		echo "*** Canceled."
		return 1
	fi
	if [ "$(grep ${_STR} /etc/group)" ] ; then	# 롼פ¸ߤ
		echo "Group \"${_STR}\" is exist. "
	else
		break
	fi
done
PROJECT=${_STR}
echo "Project Name is \"${PROJECT}\"" >> ${RESULTF}

# input member file name - Сե̾
BATCHF=project.txt
ask_filename "Input Project Member File Name [${BATCHF}] : " 0 ${BATCHF}	BATCHF=${_STR}

# make project directory - ץѥǥ쥯ȥ
if [ -d "/Users/${PROJECT}" ] ; then
	echo "\"/Users/${PROJECT}\" Directory is exist." >> ${RESULTF}
else
	mkdir /Users/${PROJECT} 2> ${ERRF}
	if [ $? -ne 0 ] ; then
		echo "\"/Users/${PROJECT}\" mkdir error.($(cat ${ERRF} | sed 's/^.*: //'))" >> ${RESULTF}
		unset PROJECT RESULTF BATCHF _STR
		return 1
	fi
	echo "\"/Users/${PROJECT}\" is maked." >> ${RESULTF}
fi

# add group - 롼Ͽ
if [ "$(grep ${PROJECT} /etc/group)" ] ; then	# 롼פ¸ߤϿʤ
	echo "Group \"${PROJECT}\" is exist." >> ${RESULTF}
else
	groupadd ${PROJECT} 2> ${ERRF}
	if [ $? -ne 0 ] ; then
		echo "\"/Users/${PROJECT}\" groupadd error.($(cat ${ERRF} | sed 's/^.*: //'))" >> ${RESULTF}
		unset PROJECT RESULTF BATCHF _STR
		return 1
	fi
fi

# add member - 롼ץСϿ
while read UNAME ; do
	gpasswd -a ${UNAME} ${PROJECT} 2> ${ERRF}
	if [ $? -ne 0 ] ; then
		echo "\"${UNAME}\" gpasswd error.($(cat ${ERRF} | sed 's/^.*: //'))" >> ${RESULTF}
	else
		echo "\"${UNAME}\" add Project." >> ${RESULTF}
	fi
done < ${BATCHF}

echo "refer \"${RESULTF}\"."

rm -f ${ERRF}
unset PROJECT RESULTF BATCHF _STR UNAME
