#!/bin/bash
# backup.bash - եХååפ

BACKUP_D=$HOME/backup

if [ ! -d ${BACKUP_D} ] ; then
	mkdir ${BACKUP_D}
fi

find ${HOME} \( -path ${BACKUP_D} -prune \) -or \
	\( -path ${HOME}/\. -prune \)  -or \
	-name \* -print \
	| cpio -pdum ${BACKUP_D}

unset BACKUP_D
