#!/bin/bash
# memo_view.bash - ɤ߽Ф

# read function - ؿɤ߹
. function/f_askstring
. function/f_chknum
. function/f_chkdate
. function/f_search_memo
. function/f_readline
. function/f_dispmemo

MEMOFILE=memo.txt	# ե
MEMOTEMP=memo.tmp	# ȥե

# input search key - ɤ
while : ; do

	# find menu - ˡ
	echo ""
	echo "*** Select search Menu ***"
	echo "1)  Date."
	echo "2)  Title."
	echo "3)  Keyword."
	echo "4) => Quit."
	echo ""
	echo -n "Select number : "

	read SELNUM
	check_num $SELNUM
	if [ $? -eq 0 ] ; then
		if [ $SELNUM -ge 1 -a $SELNUM -le 4 ] ; then
			break
		fi
	fi
done

if [ $SELNUM -eq 4 ] ; then	# λ
	unset SELNUM
	echo "*** End."
	return 0
fi

# pickup data - ɤϤȳǡ
case $SELNUM in
	1) search_date ; ;;
	2) search_title ; ;;
	3) search_keyword ; ;;
esac

# numeric check - Хǡå
MAXCNT=$(cat ${MEMOTEMP} | wc -l)	# եԿ
if [ $MAXCNT -eq 0 ] ; then	# ǡʤ
	echo "*** No Data."
	return 1
elif [ $MAXCNT -eq 1 ] ; then	# ǡ1
	read_line ${MEMOTEMP} 1
	disp_memo $_BUF
	return 0
fi

# view memo - Хǡɽ
echo ""
echo "  No.	Date	Title"
echo "----------------------------------------"
cat -n ${MEMOTEMP} | cut -f 1,2,4

while : ; do
	echo ""
	echo -n "Select Number : "
	read SELNUM
	check_num $SELNUM
	if [ $? -eq 0 ] ; then
		if [ $SELNUM -ge 1 -a $SELNUM -le $MAXCNT ] ; then
			break
		fi
	fi
done

# display data - ǡɽ
read_line ${MEMOTEMP} ${SELNUM}
if [ $? -ne 0 ] ; then
	echo "File Read Error."
else
	disp_memo $_BUF
fi

unset SELNUM MEMOFILE MEMOTEMP _STR KEYWORD _BUF
